// Copyright (C) 2010 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// Updates the .xml files by deleting existing files and
// creating them again from the .sci with help_from_sci.

//
cwd = get_absolute_file_path("update_help.sce");
mprintf("Working dir = %s\n",cwd);
//
// Generate the ambiguity help
mprintf("Updating stft/ambiguity\n");
helpdir = fullfile(cwd,"ambiguity");
funmat = [
  "ambifunb"
  "ambifuwb"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )
//
// Generate the amplitude help
mprintf("Updating stftb/amplitude\n");
helpdir = fullfile(cwd,"amplitude");
funmat = [
  "amexpo1s"
  "amexpo2s"
  "amgauss"
  "amrect"
  "amtriang"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )
//
// Generate the bilin_freq_time_processing_affine help
mprintf("Updating stftb/bilin_freq_time_processing_affine\n");
helpdir = fullfile(cwd,"bilin_freq_time_processing_affine");
funmat = [
  "istfraff"
  "lambdak"
  "tfrbert"
  "tfrdfla"
  "tfrscalo"
  "tfrspaw"
  "tfrunter"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the bilin_freq_time_processing_cohen help
mprintf("Updating stftb/bilin_freq_time_processing_cohen\n");
helpdir = fullfile(cwd,"bilin_freq_time_processing_cohen");
funmat = [
  "tfrbud"
  "tfrgrd"
  "tfrmh"
  "tfrpage"
  "tfrppage"
  "tfrridbn"
  "tfrridh"
  "tfrri"
  "tfrspwv"
  "tfrwv"
  "tfrbj"
  "tfrcw"
  "tfrmhs"
  "tfrmmce"
  "tfrpmh"
  "tfrpwv"
  "tfrridb"
  "tfrridt"
  "tfrspbk"
  "tfrsp"
  "tfrzam"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )

// Generate the C_ambiguity help
mprintf("Updating stftb/C_ambiguity\n");
helpdir = fullfile(cwd,"C_ambiguity");
funmat = [
  "Caf2tfr"
  "Cambifunb"
  "Ctfrker"
  ];
macrosdir = cwd +"../../macros/help_files_sci";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )

// Generate the C_miscellanaeous help
mprintf("Updating stftb/C_miscellanaeous\n");
helpdir = fullfile(cwd,"C_miscellanaeous");
funmat = [
  "Chtl"
  "Ctfrdist"
  "Ctfrreas"
  "Cwindow"
  ];
macrosdir = cwd +"../../macros/help_files_sci";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the C_time_freq help
mprintf("Updating stftb/C_time_freq\n");
helpdir = fullfile(cwd,"C_time_freq");
funmat = [
  "Ctfrbud"
  "Ctfrgrd"
  "Ctfrmh"
  "Ctfrpage"
  "Ctfrppage"
  "Ctfrridbn"
  "Ctfrridh"
  "Ctfrri"
  "Ctfrspwv"
  "Ctfrstft"
  "Ctfrzam"
  "Ctfrbj"
  "Ctfrcw"
  "Ctfrmhs"
  "Ctfrmmce"
  "Ctfrpmh"
  "Ctfrpwv"
  "Ctfrridb"
  "Ctfrridt"
  "Ctfrrsp"
  "Ctfrsp"
  "Ctfrwv"
  ];
macrosdir = cwd +"../../macros/help_files_sci";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the freq_domain_processing help
mprintf("Updating stftb/freq_domain_processing\n");
helpdir = fullfile(cwd,"freq_domain_processing");
funmat = [
  "ffmt"
  "frpowerspec"
  "frspec"
  "iffmt"
  "locfreq"
  "parafrep"
  "sgrpdlay"
  "tftb_fft"
  "tftb_ifft"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )

//
// Generate the datasets help
mprintf("Updating stftb/frequency\n");
helpdir = fullfile(cwd,"frequency");
funmat = [
"fmconst"
"fmhyp"
"fmlin"
"fmodany"
"fmpar"
"fmpower"
"fmsin"
"gdpower"
"if2phase"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the lin_freq_time_processing help
mprintf("Updating stftb/lin_freq_time_processing\n");
helpdir = fullfile(cwd,"lin_freq_time_processing");
funmat = [
  "tffilter"
  "tfrgabor"
  "tfristft"
  "tfrstft"
  "tfrsurf"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )



// Generate the modification help
mprintf("Updating stftb/modification\n");
helpdir = fullfile(cwd,"modification");
funmat = [
  "scale"
  "sigmerge"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the noise help
mprintf("Updating stftb/noise\n");
helpdir = fullfile(cwd,"noise");
funmat = [
  "noisecg"
  "noisecu"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the  other help
mprintf("Updating stftb/other\n");
helpdir = fullfile(cwd,"other");
funmat = [
  "contwtgn"
  "d2statio"
  "divider"
  "fzero"
  "imextrac"
  "integ"
  "istfr2"
  "kaytth"
  "rot90"
  "umaxdfla"
  "vecmodulo"
  "contwtgnmir"
  "correlmx"
  "disprog"
  "dwindow"
  "gaussn"
  "integ2d"
  "istfr1"
  "izak"
  "odd"
  "umaxbert"
  "umaxunte"
  "zak"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the post_processing help
mprintf("Updating stftb/post_processing\n");
helpdir = fullfile(cwd,"post_processing");
funmat = [
  "friedman"
  "holder"
  "htl"
  "margtfr"
  "midpoint"
  "momftfr"
  "momttfr"
  "plotsid"
  "renyi"
  "ridges"
  "tfrideal"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the reassign_freq_time_processing/ help
mprintf("Updating stftb/reassign_freq_time_processing\n");
helpdir = fullfile(cwd,"reassign_freq_time_processing");
funmat = [
  "tfrrgab"
  "tfrrmsc"
  "tfrrpmh"
  "tfrrppag"
  "tfrrpwv"
  "tfrrspwv"
  "tfrrsp"
  "tfrrstan"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the signals help
mprintf("Updating stftb/signals\n");
helpdir = fullfile(cwd,"signals");
funmat = [
  "altes"
  "anabpsk"
  "anapulse"
  "anasing"
  "atoms"
  "chirp"
  "doppler"
  "klauder"
  "pulstran"
  "tftb_window"
  "anaask"
  "anafsk"
  "anaqpsk"
  "anastep"
  "dopnoise"
  "griffitc"
  "mexhat"
  "sawtooth"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the time_domain_processing help
mprintf("Updating stftb/time_domain_processing\n");
helpdir = fullfile(cwd,"time_domain_processing");
funmat = [
  "ifestar2"
  "instfreq"
  "loctime"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )


// Generate the visualization help
mprintf("Updating stftb/visualization\n");
helpdir = fullfile(cwd,"visualization");
funmat = [
  "plotifl"
  "tfrparam"
  "tfrqview"
  "tfrsave"
  "tfrview"
  ];
macrosdir = cwd +"../../macros";
//demosdir = cwd +"../../demos";
demosdir = [];
modulename = "stftb";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t )
